\begin{abstract}

% The increasing prevalence of the \gls{iot} yields new challenges for the development and operation of devices.
Mobile embedded devices in the \acrlong{iot} face tight resource constraints and uncertain environments, including energy scarcity and unstable connectivity.
This aggravates debugging, optimization, monitoring, etc.; for which logs from devices are required throughout the whole product life cycle.

In this work, we qualitatively compare approaches for transmitting logs with regard to application requirements (e.g., continuous or aperiodic transmission), resource consumption (e.g., memory), operating constraints (e.g., power supply), and the transmission medium (e.g., UART, WiFi).
The comparison highlights that the appropriateness of the approaches further depends on the life cycle phase and the implementation effort of an approach.

We report on a case study in which we developed a mobile embedded device (i.e. a self-driving slot car) with which logs and firmware have to be exchanged.
Compared to wired transmission, WiFi has shown to be more flexible and suitable for more phases in the development process.
However, additionally required computations and energy distort the behavior of the resource-constrained device.
E.g., when transmitting logs wirelessly, the device's supply voltage drop within a \textapprox20~ms power interruption is \textapprox1.6 times higher than without a loaded WiFi stack.
Thus, also debugging must be considered in the energy budgeting.

\end{abstract}